Package org.codehaus.janino.util.signature

# Class SignatureParser.SimpleClassTypeSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.SimpleClassTypeSignature

Enclosing class:
  `SignatureParser`

public static class SignatureParser.SimpleClassTypeSignature extends Object
Representation of the "SimpleClassTypeSignature" clause, e.g. '`MyMap<K, V>`'.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`simpleClassName`
The simple name of the class.
`final List<SignatureParser.TypeArgument>`
`typeArguments`
The type arguments of the class, e.g.

## Constructor Summary

Constructors
Constructor
Description
`SimpleClassTypeSignature(String simpleClassName, List<SignatureParser.TypeArgument> typeArguments)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Converts this simple class type signature into a nice, human-readable string like '`MyClass<U>`'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### simpleClassName

public final String simpleClassName
The simple name of the class.

### typeArguments

public final List<SignatureParser.TypeArgument> typeArguments
The type arguments of the class, e.g. '`<A extends x, B super x, *, x>`'.

## Constructor Details

### SimpleClassTypeSignature

public SimpleClassTypeSignature(String simpleClassName, List<SignatureParser.TypeArgument> typeArguments)

## Method Details

### toString

public String toString()
Converts this simple class type signature into a nice, human-readable string like '`MyClass<U>`'.

Overrides:
  `toString` in class `Object`